Package org.jfree.layouting.input.style.keys.font

## Class FontStretch

- java.lang.Object
- - org.jfree.layouting.input.style.keys.font.FontStretch

-     public class FontStretch
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSConstant` | `CONDENSED` |
    `static CSSConstant` | `EXPANDED` |
    `static CSSConstant` | `EXTRA_CONDENSED` |
    `static CSSConstant` | `EXTRA_EXPANDED` |
    `static CSSConstant` | `NARROWER` |
    `static CSSConstant` | `NORMAL` |
    `static CSSConstant` | `SEMI_CONDENSED` |
    `static CSSConstant` | `SEMI_EXPANDED` |
    `static CSSConstant` | `ULTRA_CONDENSED` |
    `static CSSConstant` | `ULTRA_EXPANDED` |
    `static CSSConstant` | `WIDER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CSSConstant` | `getByOrder​(int order)` |
    `static int` | `getOrder​(CSSValue fs)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NORMAL

          public static final CSSConstant NORMAL

    - #### ULTRA_CONDENSED

          public static final CSSConstant ULTRA_CONDENSED

    - #### EXTRA_CONDENSED

          public static final CSSConstant EXTRA_CONDENSED

    - #### CONDENSED

          public static final CSSConstant CONDENSED

    - #### SEMI_CONDENSED

          public static final CSSConstant SEMI_CONDENSED

    - #### SEMI_EXPANDED

          public static final CSSConstant SEMI_EXPANDED

    - #### EXPANDED

          public static final CSSConstant EXPANDED

    - #### EXTRA_EXPANDED

          public static final CSSConstant EXTRA_EXPANDED

    - #### ULTRA_EXPANDED

          public static final CSSConstant ULTRA_EXPANDED

    - #### WIDER

          public static final CSSConstant WIDER

    - #### NARROWER

          public static final CSSConstant NARROWER

  - ### Method Detail

    - #### getOrder

          public static int getOrder​(CSSValue fs)

    - #### getByOrder

          public static CSSConstant getByOrder​(int order)